Subject: Re: [PATCH] [POWERPC] Fix kernel builds with newer gcc versions and -Os

From: Scott Wood <[email-masked]>
Date: Fri, 02 May 2008 17:16:07 -0500

David Miller wrote:
> The problem only occurs once you reference a function that references
> libc stuff, and those guys are just lucky so far.

Yeah, lucky they don't need to reinvent the wheel every time the 
GCC/libgcc interface changes. :-)

If GCC generates a call to a libgcc function that calls a libc function, 
I'd consider that a pretty serious bug, given that said libc function is 
likely to consist of GCC-generated code, which could call the same 
libgcc function, which calls the libc function, etc.

> It's also one less variable to debug if you put the implementation
> in the kernel, or do you like debugging compiler induced problems?
> I don't :-)

I'd say problems are more likely if you use nonstandard implementations 
of GCC internals...

-Scott